package com.foreverwin.mesnac.common.enums;

import java.text.MessageFormat;

/**
 * 数据库表HANDLE拼接
 *
 * @author Ervin Chen
 * @date 2020/2/5 14:50
 */

public enum HandleEnum {

    /**车间作业控制*/
    SFC( "SFCBO:", "SFCBO:{0},{1}" ),

    /**车间作业控制*/
    SFC_BOM( "SFCBOMBO:", "SFCBOMBO:{0}" ),

    /**物料*/
    ITEM( "ItemBO:", "ItemBO:{0},{1},{2}" ),

    /**资源*/
    RESOURCE( "ResourceBO:", "ResourceBO:{0},{1}" ),

    /**工艺路线*/
    ROUTER( "RouterBO:", "RouterBO:{0},{1},{2},{3}" ),

    /**库存*/
    INVENTORY( "InventoryBO:", "InventoryBO:{0},{1}" ),

    /**物料组*/
    ITEM_GROUP( "ItemGroupBO:", "ItemGroupBO:{0},{1}" ),

    /**数据字段*/
    DATA_FIELD( "DataFieldBO:", "DataFieldBO:{0},{1}" ),

    /**编码规则*/
    NEXT_NUMBER("NextNumberBO:","NextNumberBO:{0},{1}"),

    /**工序*/
    OPERATION( "OperationBO:", "OperationBO:{0},{1},{2}" ),

    /**编码规则*/
    NEXT_NUMBER_CODE("NextNumberCodeBO:","NextNumberCodeBO:{0},{1},{2}");


    private String prefix;
    private String pattern;

    HandleEnum(String prefix, String pattern) {
        this.prefix = prefix;
        this.pattern = pattern;
    }

    public String getHandle(String... parts) {
        return MessageFormat.format(pattern, parts);
    }

    public String getPart(String handle, int position) {
        String handleParts = handle.replace(prefix, "");
        String[] parts = handleParts.split(",");
        if (position >= parts.length) {
            return null;
        } else {
            return parts[position];
        }
    }

    public String getPrefix() {
        return prefix;
    }
}
