package com.foreverwin.mesnac.dispatch.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 派工任务表
 * </p>
 *
 * @author Syngna
 * @since 2020-10-22
 */
@TableName("Z_SFC_DISPATCH")
public class SfcDispatch extends Model<SfcDispatch> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "HANDLE", type = IdType.INPUT)
    private String handle;
    /**
     * 站点
     */
    @TableField("SITE")
    private String site;
    /**
     * 工单号
     */
    @TableField("SHOP_ORDER")
    private String shopOrder;
    /**
     * SFC
     */
    @TableField("SFC")
    private String sfc;
    /**
     * 类型
     */
    @TableField("CATEGORY")
    private String category;
    /**
     * 派工单
     */
    @TableField("DISPATCH_NO")
    private String dispatchNo;
    /**
     * 新建/NEW、发布/RELEASE、暂挂/PAUSE、取消/CANCEL、完成/COMPLETE
     */
    @TableField("DISPATCH_STATUS")
    private String dispatchStatus;
    /**
     * 是否锁定
     */
    @TableField("IS_LOCK")
    private String isLock;
    /**
     * 派工顺序
     */
    @TableField("DISPATCH_ORDER")
    private Long dispatchOrder;
    /**
     * 工序号
     */
    @TableField("OPERATION_SEQ")
    private String operationSeq;
    /**
     * 工序
     */
    @TableField("OPERATION")
    private String operation;
    /**
     * 资源类型
     */
    @TableField("RESOURCE_TYPE")
    private String resourceType;
    /**
     * 工作中心
     */
    @TableField("WORK_CENTER")
    private String workCenter;
    /**
     * 资源
     */
    @TableField("RESRCE")
    private String resrce;
    /**
     * 派工数量
     */
    @TableField("DISPATCH_QTY")
    private Double dispatchQty;
    /**
     * 生产工时
     */
    @TableField("PROD_HOURS")
    private Double prodHours;
    /**
     * 计划开始时间
     */
    @TableField("PLANNED_START_DATE")
    private Date plannedStartDate;
    /**
     * 计划完成时间
     */
    @TableField("PLANNED_COMPLETE_DATE")
    private Date plannedCompleteDate;
    /**
     * 首次发布计划完成时间
     */
    @TableField("RELEASED_COMPLETE_DATE")
    private Date releasedCompleteDate;
    /**
     * 最早开始时间
     */
    @TableField("EARLIEST_START_DATE")
    private Date earliestStartDate;
    /**
     * 最晚结束时间
     */
    @TableField("LATEST_END_DATE")
    private Date latestEndDate;
    /**
     * 订单最晚需求时间
     */
    @TableField("LATEST_NEED_DATE")
    private Date latestNeedDate;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 创建人
     */
    @TableField("CREATE_USER")
    private String createUser;
    /**
     * 创建时间
     */
    @TableField("CREATED_DATE_TIME")
    private Date createdDateTime;
    /**
     * 修改人
     */
    @TableField("MODIFY_USER")
    private String modifyUser;
    /**
     * 修改时间
     */
    @TableField("MODIFIED_DATE_TIME")
    private Date modifiedDateTime;
    @TableField("ROUTER_BO")
    private String routerBo;
    @TableField("FIRST_OPERATION_COMPLETE_DATE")
    private Date firstOperationCompleteDate;
    @TableField("RELEASED_START_DATE")
    private Date releasedStartDate;
    /**
     * 工序描述
     */
    @TableField("OPERATION_DESC")
    private String operationDesc;
    /**
     * 首步骤
     */
    @TableField("FIRST_STEP")
    private String firstStep;
    /**
     * 首工序
     */
    @TableField("FIRST_OPERATION")
    private String firstOperation;
    /**
     * 人员类型
     */
    @TableField("EMPLOYEE_TYPE")
    private String employeeType;
    /**
     * 加工人数
     */
    @TableField("EMPLOYEE_QTY")
    private Long employeeQty;
    /**
     * 是否修改
     */
    @TableField("MODIFIED")
    private String modified;


    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getSfc() {
        return sfc;
    }

    public void setSfc(String sfc) {
        this.sfc = sfc;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getDispatchNo() {
        return dispatchNo;
    }

    public void setDispatchNo(String dispatchNo) {
        this.dispatchNo = dispatchNo;
    }

    public String getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(String dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public String getIsLock() {
        return isLock;
    }

    public void setIsLock(String isLock) {
        this.isLock = isLock;
    }

    public Long getDispatchOrder() {
        return dispatchOrder;
    }

    public void setDispatchOrder(Long dispatchOrder) {
        this.dispatchOrder = dispatchOrder;
    }

    public String getOperationSeq() {
        return operationSeq;
    }

    public void setOperationSeq(String operationSeq) {
        this.operationSeq = operationSeq;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public Double getDispatchQty() {
        return dispatchQty;
    }

    public void setDispatchQty(Double dispatchQty) {
        this.dispatchQty = dispatchQty;
    }

    public Double getProdHours() {
        return prodHours;
    }

    public void setProdHours(Double prodHours) {
        this.prodHours = prodHours;
    }

    public Date getPlannedStartDate() {
        return plannedStartDate;
    }

    public void setPlannedStartDate(Date plannedStartDate) {
        this.plannedStartDate = plannedStartDate;
    }

    public Date getPlannedCompleteDate() {
        return plannedCompleteDate;
    }

    public void setPlannedCompleteDate(Date plannedCompleteDate) {
        this.plannedCompleteDate = plannedCompleteDate;
    }

    public Date getReleasedCompleteDate() {
        return releasedCompleteDate;
    }

    public void setReleasedCompleteDate(Date releasedCompleteDate) {
        this.releasedCompleteDate = releasedCompleteDate;
    }

    public Date getEarliestStartDate() {
        return earliestStartDate;
    }

    public void setEarliestStartDate(Date earliestStartDate) {
        this.earliestStartDate = earliestStartDate;
    }

    public Date getLatestEndDate() {
        return latestEndDate;
    }

    public void setLatestEndDate(Date latestEndDate) {
        this.latestEndDate = latestEndDate;
    }

    public Date getLatestNeedDate() {
        return latestNeedDate;
    }

    public void setLatestNeedDate(Date latestNeedDate) {
        this.latestNeedDate = latestNeedDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    public String getModifyUser() {
        return modifyUser;
    }

    public void setModifyUser(String modifyUser) {
        this.modifyUser = modifyUser;
    }

    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    public String getRouterBo() {
        return routerBo;
    }

    public void setRouterBo(String routerBo) {
        this.routerBo = routerBo;
    }

    public Date getFirstOperationCompleteDate() {
        return firstOperationCompleteDate;
    }

    public void setFirstOperationCompleteDate(Date firstOperationCompleteDate) {
        this.firstOperationCompleteDate = firstOperationCompleteDate;
    }

    public Date getReleasedStartDate() {
        return releasedStartDate;
    }

    public void setReleasedStartDate(Date releasedStartDate) {
        this.releasedStartDate = releasedStartDate;
    }

    public String getOperationDesc() {
        return operationDesc;
    }

    public void setOperationDesc(String operationDesc) {
        this.operationDesc = operationDesc;
    }

    public String getFirstStep() {
        return firstStep;
    }

    public void setFirstStep(String firstStep) {
        this.firstStep = firstStep;
    }

    public String getFirstOperation() {
        return firstOperation;
    }

    public void setFirstOperation(String firstOperation) {
        this.firstOperation = firstOperation;
    }

    public String getEmployeeType() {
        return employeeType;
    }

    public void setEmployeeType(String employeeType) {
        this.employeeType = employeeType;
    }

    public Long getEmployeeQty() {
        return employeeQty;
    }

    public void setEmployeeQty(Long employeeQty) {
        this.employeeQty = employeeQty;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public static final String HANDLE = "HANDLE";

    public static final String SITE = "SITE";

    public static final String SHOP_ORDER = "SHOP_ORDER";

    public static final String SFC = "SFC";

    public static final String CATEGORY = "CATEGORY";

    public static final String DISPATCH_NO = "DISPATCH_NO";

    public static final String DISPATCH_STATUS = "DISPATCH_STATUS";

    public static final String IS_LOCK = "IS_LOCK";

    public static final String DISPATCH_ORDER = "DISPATCH_ORDER";

    public static final String OPERATION_SEQ = "OPERATION_SEQ";

    public static final String OPERATION = "OPERATION";

    public static final String RESOURCE_TYPE = "RESOURCE_TYPE";

    public static final String WORK_CENTER = "WORK_CENTER";

    public static final String RESRCE = "RESRCE";

    public static final String DISPATCH_QTY = "DISPATCH_QTY";

    public static final String PROD_HOURS = "PROD_HOURS";

    public static final String PLANNED_START_DATE = "PLANNED_START_DATE";

    public static final String PLANNED_COMPLETE_DATE = "PLANNED_COMPLETE_DATE";

    public static final String RELEASED_COMPLETE_DATE = "RELEASED_COMPLETE_DATE";

    public static final String EARLIEST_START_DATE = "EARLIEST_START_DATE";

    public static final String LATEST_END_DATE = "LATEST_END_DATE";

    public static final String LATEST_NEED_DATE = "LATEST_NEED_DATE";

    public static final String REMARK = "REMARK";

    public static final String CREATE_USER = "CREATE_USER";

    public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

    public static final String MODIFY_USER = "MODIFY_USER";

    public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

    public static final String ROUTER_BO = "ROUTER_BO";

    public static final String FIRST_OPERATION_COMPLETE_DATE = "FIRST_OPERATION_COMPLETE_DATE";

    public static final String RELEASED_START_DATE = "RELEASED_START_DATE";

    public static final String OPERATION_DESC = "OPERATION_DESC";

    public static final String FIRST_STEP = "FIRST_STEP";

    public static final String FIRST_OPERATION = "FIRST_OPERATION";

    public static final String EMPLOYEE_TYPE = "EMPLOYEE_TYPE";

    public static final String EMPLOYEE_QTY = "EMPLOYEE_QTY";

    public static final String MODIFIED = "MODIFIED";

    @Override
    protected Serializable pkVal() {
        return this.handle;
    }

    @Override
    public String toString() {
        return "SfcDispatch{" +
                "handle = " + handle +
                ", site = " + site +
                ", shopOrder = " + shopOrder +
                ", sfc = " + sfc +
                ", category = " + category +
                ", dispatchNo = " + dispatchNo +
                ", dispatchStatus = " + dispatchStatus +
                ", isLock = " + isLock +
                ", dispatchOrder = " + dispatchOrder +
                ", operationSeq = " + operationSeq +
                ", operation = " + operation +
                ", resourceType = " + resourceType +
                ", workCenter = " + workCenter +
                ", resrce = " + resrce +
                ", dispatchQty = " + dispatchQty +
                ", prodHours = " + prodHours +
                ", plannedStartDate = " + plannedStartDate +
                ", plannedCompleteDate = " + plannedCompleteDate +
                ", releasedCompleteDate = " + releasedCompleteDate +
                ", earliestStartDate = " + earliestStartDate +
                ", latestEndDate = " + latestEndDate +
                ", latestNeedDate = " + latestNeedDate +
                ", remark = " + remark +
                ", createUser = " + createUser +
                ", createdDateTime = " + createdDateTime +
                ", modifyUser = " + modifyUser +
                ", modifiedDateTime = " + modifiedDateTime +
                ", routerBo = " + routerBo +
                ", firstOperationCompleteDate = " + firstOperationCompleteDate +
                ", releasedStartDate = " + releasedStartDate +
                ", operationDesc = " + operationDesc +
                ", firstStep = " + firstStep +
                ", firstOperation = " + firstOperation +
                ", employeeType = " + employeeType +
                ", employeeQty = " + employeeQty +
                ", modified = " + modified +
                "}";
    }
}